Skip to main content
GET
/
v1
/
tasks
List tasks
curl --request GET \
  --url https://dev-public-api.openphone.dev/v1/tasks \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "taskId": "<string>",
      "phoneNumberId": "<string>",
      "conversationId": "<string>",
      "activityId": "<string>",
      "phoneNumberGroupId": "<string>",
      "orgId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "assignedTo": "<string>",
      "assignedBy": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "completed": true,
      "isDeleted": true,
      "revision": "<string>"
    }
  ],
  "totalItems": 123,
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://openphone-dev.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

maxResults
integer
default:50
required

Maximum number of results to return per page.

Required range: 1 <= x <= 100
pageToken
string

Response

Success

data
object[]
required
totalItems
integer
required

Total number of items available.

nextPageToken
string